Skip to main content
GET
/
organizations
/
{orgId}
/
integrationdestinations
/
webhooks
List Destinations
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/integrationdestinations/webhooks \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "version": 123,
      "dtCreated": "2023-11-07T05:31:56Z",
      "dtLastModified": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "lastModifiedBy": "<string>",
      "name": "<string>",
      "description": "<string>",
      "code": "<string>",
      "active": true,
      "url": "<string>",
      "credentials": {
        "id": "<string>",
        "type": "<string>",
        "destination": "<string>",
        "version": 123,
        "dtCreated": "2023-11-07T05:31:56Z",
        "dtLastModified": "2023-11-07T05:31:56Z",
        "createdBy": "<string>",
        "lastModifiedBy": "<string>",
        "destinationId": "<string>",
        "name": "<string>",
        "apiKey": "api key",
        "secret": "api secret"
      }
    }
  ],
  "nextToken": "<string>"
}

Authorizations

Authorization
string
header
required

m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.

The authorizationCode flow controls access for human users via the m3ter Console application.

Path Parameters

orgId
string
required

UUID of the organization

Query Parameters

pageSize
integer<int32>

Number of WebhookIntegrations to retrieve per page

Required range: 1 <= x <= 200
nextToken
string

nextToken for multi page retrievals

ids
string[] | null
Maximum array length: 200

Response

Returns a list of Destinations.

data
object[]
nextToken
string